#TODO: gst
%def_with gstreamer
%define major 0.8
Name: muine
Version: %major.11
Release: alt1

#define _monodocdir %_prefix/lib/monodoc
%define muinedir %_prefix/lib/%name

Summary: Music player for GNOME

License: GPL
Group: Sound
Url: http://muine-player.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# svn co http://svn.gnome.org/svn/muine/trunk muine
#Source: http://muine-player.org/releases/%name-%version.tar.bz2
Source: http://download.gnome.org/sources/muine/%major/muine-%version.tar.bz2
Patch: %name-locale-names.patch
Patch1: %name-0.8.6+flac-1.1.3.patch
Patch2: %name-0.8.8-libnotify.patch
Patch3: %name-0.8.3-plugindir.patch

# Automatically added by buildreq on Tue Sep 22 2009
BuildRequires: GConf gstreamer-devel intltool libGConf-devel libgdbm-devel libgnome-sharp-devel libgtk+2-devel mono-mcs monodoc ndesk-dbus-glib-devel libtag-sharp-devel

BuildRequires: gnome-common

BuildRequires: gnome-icon-theme rpm-build-mono
# mono-devel libgtk-sharp2-devel libgnome-sharp-devel
BuildRequires: /proc

%if_with gstreamer
%define         min_ver 0.10

BuildRequires: gstreamer-devel >= %min_ver
#BuildRequires: gstreamer-GConf-devel >= %min_ver
BuildRequires: gstreamer-plugins-devel >= %min_ver
%else
BuildRequires: libxine-devel >= 1.0.0
%endif

Requires(post,preun):	GConf2 >= 2.3.0
Requires(post,preun):	scrollkeeper

%if_with gstreamer
#Requires: gstreamer-audio-effects >= %min_ver
Requires: gst-plugins-audio-formats >= %min_ver
Requires: gst-plugins-ximagesink
Requires: gst-plugins-gnomevfs >= %min_ver
%else
#Requires: xine-plugin-audio
%endif

%description
Muine is a music player using some new UI ideas. The idea is that it
will be much easier and comfortable to use than the iTunes model,
which is used by both Rhythmbox and Jamboree.

%package plugin-dashboard
Summary: Dashboard plugin for Muine
Group: Sound
Requires: %name = %version-%release
Requires: dashboard

%description plugin-dashboard
Simple dashboard plugin for Muine.

%package plugin-trayicon
Summary: Trayicon plugin for Muine
Group: Sound
Requires: %name = %version-%release

%description plugin-trayicon
Trayicon plugin for Muine.

%package monodoc
Summary: Development documentation for %name
Group: Development/Other
BuildArch: noarch

%description monodoc
This package contains the API documentation for %name in Monodoc format.

%prep
%setup -q
%patch3 -p1
%__subst "s|\(muinelibdir =\).*|\1 %muinedir|g" src/Makefile.*

%build
%configure --enable-compile-warnings=minimum \
%if_with gstreamer
	--enable-gstreamer=0.10 \
%else
	--enable-xine \
%endif
	--disable-static

%make_build

%install
#install -d %buildroot%_libdir/muine/plugins/

%makeinstall_std GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 docdir=%_monodocdir/sources plugindir=%muinedir/plugins

install plugins/*.{png,xml} %buildroot%muinedir/plugins/

rm -f %buildroot%_libdir/muine/*.la
rm -rf %buildroot%_pkgconfigdir/

%find_lang %name --with-gnome

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi


%files -f %name.lang
%_bindir/*
%doc AUTHORS ChangeLog MAINTAINERS NEWS PLUGINS README TODO
%_sysconfdir/gconf/schemas/*
%dir %_libdir/%name/
%_libdir/%name/*.so*
%_libdir/%name/*.dll
%dir %muinedir/
%muinedir/muine.exe
%muinedir/muine.exe.config
%dir %muinedir/plugins/
%_datadir/dbus-1/services/*
#%_libdir/mono/gac/*
#%_libdir/mono/muine/
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/apps/*
# /usr/share/icons/hicolor/16x16/apps

#%files plugin-dashboard
#%_libdir/muine/plugins/DashboardPlugin.dll

#%files monodoc
#%doc %_monodocdir/sources/*

%files plugin-trayicon
%muinedir/plugins/TrayIcon.dll
%muinedir/plugins/TrayIcon.dll.config
%muinedir/plugins/TrayIcon.xml
%muinedir/plugins/InotifyPlugin.dll
%muinedir/plugins/InotifyPlugin.dll.config
%muinedir/plugins/muine-tray-*.png

%changelog
* Mon Sep 21 2009 Vitaly Lipatov <lav@altlinux.ru> 0.8.11-alt1
- new version 0.8.11 (with rpmrb script)

* Sat Nov 22 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.10-alt2
- fix build on x86_64

* Sat Nov 15 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.10-alt1
- new version 0.8.10 (with rpmrb script)

* Thu Jul 17 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.9-alt1svn20080717
- new version 0.8.9
- update buildrequres

* Sat Jan 12 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.8-alt2
- update buildreq (bug #13975)

* Wed Dec 26 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.8-alt1
- new version 0.8.8 (with rpmrb script)

* Sun Sep 23 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.7-alt1
- new version 0.8.7 (with rpmrb script)
- enable update/clean menus

* Sun Jul 22 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt2
- disable error on warnings (fix build on x86_64)

* Wed Mar 07 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt1
- build with new flac (fix bug #10937, thanks led@)

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt0.3
- disable plugin-dashboard package

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt0.2
- rebuild with rpm-build-mono

* Sun Dec 24 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt0.1
- new version 0.8.6 (with rpmrb script)
- fix dbus dir, icons dir

* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.4-alt0.1
- new version

* Sun Sep 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.8.3-alt0.1
- spec from PLD Team (thanks)
